Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.loom
Class DefaultServiceDeployer

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.codehaus.xfire.loom.DefaultServiceDeployer

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, ServiceDeployer

    public class DefaultServiceDeployer

extends org.apache.avalon.framework.logger.AbstractLogEnabled
implements ServiceDeployer, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.configuration.Configurable

Default implementation of ServiceDeployer

Author:
  peter royal

Constructor Summary
`DefaultServiceDeployer()`

Method Summary
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)`
`void` | `deploy(java.lang.String key, java.lang.Object object)` Deploy the specified object via XFire.
`void` | `service(org.apache.avalon.framework.service.ServiceManager manager)`
`void` | `undeploy(java.lang.String key)` Undeploy the specified object as previously deployed with `ServiceDeployer.deploy(String, Object)`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultServiceDeployer

    public DefaultServiceDeployer()

Method Detail

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### service

    public void service(org.apache.avalon.framework.service.ServiceManager manager)
                 throws org.apache.avalon.framework.service.ServiceException

  Specified by:
    `service` in interface `org.apache.avalon.framework.service.Serviceable`
  Throws:
    `org.apache.avalon.framework.service.ServiceException`

### deploy

    public void deploy(java.lang.String key,
                       java.lang.Object object)
                throws java.lang.Exception

  Description copied from interface: `ServiceDeployer`
  Deploy the specified object via XFire. The key points to a predefined configuration that this component may have. If the key is not recognized by this component, a template configuration will be used.

  Specified by:
    `deploy` in interface `ServiceDeployer`
  Parameters:
    `key` - Key of service to deploy. Required.
    `object` - Object to deploy as service. Required.
  Throws:
    `java.lang.Exception`

### undeploy

    public void undeploy(java.lang.String key)

  Description copied from interface: `ServiceDeployer`
  Undeploy the specified object as previously deployed with `ServiceDeployer.deploy(String, Object)`

  Specified by:
    `undeploy` in interface `ServiceDeployer`
  Parameters:
    `key` - Key of service to undeploy. Required.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.